Subject: bug#9669: 24.0.50; `tramp-compat.el' in *Help* when it doesn't belong (?)

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Oct 2011 15:45:42 -0400

> 1. I see the same problem for any function that is not defined at top level,
> e.g., when the `defun' is inside a top-level (when (...):

That's partly expected: the byte-compiler handles those slightly differently.

> 2. I compile the files using Emacs 20, not Emacs 24.
> Maybe #2 is the root of the problem?

I'd say you found your problem, indeed.

> I see the same problem in Emacs 23.3.  But in Emacs 22.3 I do not see it (still
> using *.elc compiled with Emacs 20).  This is what Emacs 22.3 says:

At least here, when loading Emacs-20's speedbar.elc with Emacs-22,
C-h f speedbar-mouse-event-p tells me it's a compiled function and
doesn't tell me where it comes from.

        Stefan